package org.studiorailgun.ai.knowledge;

/**
 * A node in the knowledge web
 */
public class Node {

    /**
     * The id incremented
     */
    public static int idIncrementer = 0;
    
    /**
     * The id of the node
     */
    int id;

    /**
     * The name of the node
     */
    String name;

    /**
     * An optional comment on a node
     */
    String comment;


    /**
     * Constructor
     * @param name The name of the node
     */
    public Node(String name){
        this.id = idIncrementer;
        idIncrementer++;
        this.name = name;
    }

    /**
     * Gets the name of the node
     * @return The name
     */
    public String getName() {
        return name;
    }

    /**
     * Gets the id of the node
     * @return The id
     */
    public int getId() {
        return id;
    }

    /**
     * Gets the comment on the node
     * @return The comment
     */
    public String getComment(){
        return comment;
    }

    

}
